Packaging - Bug #32003

can't deploy katello/candlepin - enable_only is missing
03/03/2021 01:11 PM - benjamin tuffreau

Status: Closed
Priority: Normal
Assignee: Ewoud Kohl van Wijngaarden
Category: RPMs
Target version: 2.4.0
Difficulty: Fixed in Releases: 2.4.0
Triaged: Yes Found in Releases: 24.0
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-p
ackaging/pull/6368,
https://github.com/theforeman/foreman-p
ackaging/pull/6436

Description
Hello,

When attempting to deploy katello 4 (katello-4.0.0-0.9.rc2.el8), | get:

[root@rhel8-1 functions]# foreman—-installer —--scenario katello
2021-03-03 14:02:38 [NOTICE] [root] Loading default values from puppet modules...
2021-03-03 14:02:42 [NOTICE] [root] ... finished

2021-03-03 14:02:45 [NOTICE] [root] Running validation checks
2021-03-03 14:02:46 [NOTICE] [configure] Starting system configuration.

The total number of configuration tasks may increase during the run.

Observe logs or specify —--verbose-log-level to see individual configuration tasks.
2021-03-03 14:02:52 [ERROR ] [configure] no parameter named 'enable_only' (file: /usr/share/forema
n-installer/modules/candlepin/manifests/install.pp, line: 15) on Package[pki-core] (file: /usr/sha
re/foreman-installer/modules/candlepin/manifests/install.pp, line: 15) on node rhel8-1l.internal.la
b
2021-03-03 14:02:52 [NOTICE] [configure] System configuration has finished.

There were errors detected during install.
Please address the errors and re-run the installer to ensure the system is properly configured.
Failing to do so is likely to result in broken functionality.

The full log is at /var/log/foreman-installer/katello.log
[root@rhel8-1 functions]# dnf module list pki-core
Updating Subscription Management repositories.
Last metadata expiration check: 0:07:48 ago on Wed 03 Mar 2021 01:55:21 PM CET.
Red Hat Enterprise Linux 8 for x86_64 - AppStream (RPMs)

Name Stream Profil
es Summary
pki-core 10.6 [e]

PKI Core module for PKI 10.6 or later

Hint: [d]efault, [e]lnabled, [x]disabled, [i]lnstalled
[root@rhel8-1 functions]# lsb_release -a

LSB Version: :core-4.1-amd64:core-4.1-noarch

Distributor ID: RedHatEnterprise

Description: Red Hat Enterprise Linux release 8.3 (Ootpa)
Release: 8.3

Codename: Ootpa

I've checked against the latest foreman-installer (nightly) and | got the same output.
I've commented out the block from the /usr/share/foreman-installer/modules/candlepin/manifests/install.pp to move forward.

Associated revisions

Revision 3¢f9359c - 03/15/2021 03:51 PM - Ewoud Kohl van Wijngaarden
Fixes #32003 - Require Puppet with DNF module support

On EL8 DNF module support in Puppet is needed. This was introduced in
Puppet 5.5.20 and Puppet 6.15.0. By requiring this at the packaging

level, any incompatibility is handled. It uses rich dependencies only
available on EL8.

This is only relevant for the katello package so it's added to the
foreman-installer-katello package.

History

#1 - 03/03/2021 01:19 PM - Ewoud Kohl van Wijngaarden
Which Puppet version are you using? enable_only was added in Puppet 5.5.20 and 6.15.0.

#2 - 03/03/2021 01:24 PM - Ewoud Kohl van Wijngaarden
- Project changed from Installer to Packaging

- Category changed from foreman-installer script to RPMs

#3 - 03/03/2021 01:38 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-packaging/pull/6368 added

#4 - 03/04/2021 03:57 PM - benjamin tuffreau

Ewoud Kohl van Wijngaarden wrote:

Which Puppet version are you using? enable_only was added in Puppet 5.5.20 and 6.15.0.

That was the issue indeed, I've upgraded to 6.21 and deployed a fresh katello 4 instance without any problem.

Thank you!

#5 - 03/15/2021 03:52 PM - The Foreman Bot
- Fixed in Releases 2.5.0 added

#6 - 03/15/2021 03:55 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-packaging/pull/6436 added

#7 - 03/15/2021 04:01 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset foreman-packaging|3cf9359ce338ac7c98855d44aca7b5dfa48280d1.

#8 - 03/17/2021 02:04 PM - Ewoud Kohl van Wijngaarden
- Target version set to 2.4.0

- Triaged changed from No to Yes

- Fixed in Releases 2.4.0 added

- Fixed in Releases deleted (2.5.0)
